[IPython-dev] IPython for Mobile OS

Thomas Kluyver takowl@gmail....
Wed Nov 16 07:58:27 CST 2011


On 16 November 2011 13:14, Roberto Colistete Jr. <
roberto.colistete@gmail.com> wrote:

>     I have actually suffered to install IPython 0.11 on Ubuntu 10.04 64
> bits due to the ZMQ dependency. But I will later give IPython 0.11 a try on
> MeeGo Harmattan, thanks for the suggestion. But Maemo 4/5 has Python 2.5
> and IPython 0.11 needs at least Python 2.6.
>

Ah, yes, there's no easy way round the python version.

Julian (CCed) has packaged IPython 0.11 for Debian/Ubuntu, and split the
binary packages up so that ipython-core doesn't depend on ZMQ. I don't know
how similar the process is (I see it still uses deb files and apt), but he
may be able to help.


>   Very interesting this in-browser notebook interface !
>

It is! We should stick a couple of screenshots in the docs, but for the
moment there are some here:
http://lighthouseinthesky.blogspot.com/2011/09/review-ipython-notebooks.html

Feel free to grab the development version from github and play around with
it - besides ZMQ, you need Tornado and a recent-ish version of Firefox or
Chrome.

Thomas
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-dev/attachments/20111116/bd60bc77/attachment-0001.html 


More information about the IPython-dev mailing list